Subject: RE: [Iptel] Re: draft-ietf-iptel-tel-reg-00 submitted

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Thu, 9 Feb 2006 10:44:35 -0500

This overly bureaucratic and redundant, adding work to the IANA person
and adding clutter for the IANA reader.  I would suggest a single table.

Mike 

> -----Original Message-----
> From: Vijay K. Gurbani [mailto:[email-masked]] 
> Sent: Thursday, February 09, 2006 10:24 AM
> To: Michael Hammer (mhammer)
> Cc: Jonathan Rosenberg (jdrosen); IETF IPTEL WG; Cullen 
> Jennings (fluffy)
> Subject: Re: [Iptel] Re: draft-ietf-iptel-tel-reg-00 submitted
> 
> Michael Hammer (mhammer) wrote:
> > Maybe I don't understand.  What is the difference between 
> Table 1 and 2?
> > Table 2 appears to be a subset.  Why not just a single table?
> 
> Mike: Indeed, Table 2 is a subset.  But it provides a quick 
> visual summary on which tel URI parameters have been updated 
> to include new values.  Plus, it imposes a cross-check to 
> IANA registry editor while registering new values for 
> existing URI parameters (only those parameters can have new 
> values where the Table 1[param name, predefined value] == "Yes").
> 
> Thanks,
> 
> - vijay
> 

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel

---

From: Cullen Jennings <[email-masked]>
Date: Fri, 10 Feb 2006 17:33:59 -0800

I think I prefer one table because it would ensure that table 1 and 2 never
conflicted.

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 12 Feb 2006 09:58:47 -0500

I agree that there should just be a single table in the IANA registry. 
My point in the comment is that the guidelines for people who submit an 
update to the table depends on whether they are creating a new 'row' - 
i.e., a new parameter, or just a new RFC reference for an existing 
value. In the former case, the instructions to RFC authors needs to say 
that they have to provide the parameter name, whether it has predefined 
values, and a set of RFCs. For folks adding a value to an existing 
parameter, you provide only the param name and reference to the RFC 
providing new values. IANA would be instructed to add those RFC 
references to the row in the existing table.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Sun, 12 Feb 2006 22:42:03 -0600

> references to the row in the existing table.

Jonathan: OK.  I will add instructions to IANA as suggested,
and keep the information in one table.  I'll submit this
Monday AM.

Thanks.

- vijay